//
//  ATIKOSXDrivers.h
//  ATIKOSXDrivers
//
//  Created by Nick Kitchener on 04/11/2012.
//  Copyright (c) 2012 ATIK. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Services.h"
#import "ATIKOSXDriverNotificationDelegate.h"
#import <IOKit/hid/IOHIDLib.h>

@interface ATIKOSXDrivers : NSObject {    
@private
    io_iterator_t           attachIterator;
    io_iterator_t           detachIterator;
    IOHIDManagerRef         hidManager;
    NSMutableDictionary     *connectedDevices;
    NSMutableDictionary     *availableDevices;
    NSData                  *firmwareHexData;
    id<ATIKOSXDriverNotificationDelegate> _notificationDelegate;
}


-(id)init;
-(void)setNotificationDelegate:(id<ATIKOSXDriverNotificationDelegate>)delegate;
-(void)startSupport; // must occur and allow execution on a run loop (due to OSX HID management) before services are used.
-(void)endSupport;
-(id<Services>)serviceManagement;
@end



@interface ATIKOSXDrivers (Services) <Services>
-(NSDictionary*)availableServices;
-(id<ServiceInterface>)claimService:(NSString*)serviceIdentifier;
-(void)releaseService:(id<ServiceInterface>)serviceInstance;
@end
