//
//  FilterWheel100.h
//  ATIKOSXDrivers
//
//  Created by Nick Kitchener on 04/11/2012.
//  Copyright (c) 2012 ATIK. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ServiceInterface.h"

// A common interface for all filter selection devices.

@protocol FilterWheel100 <NSObject, ServiceInterface>

// Returns the available filters from this device.
// In the case of a filter wheel, the count indicates the positions.
// (1->""), (2->""), ..., (N->"")
-(NSDictionary*)availableFilters;

// select the filter by number
// control returns once the filter has been selected.
-(void)setPosition:(int)position;

// read the current filter by number
-(int)position;

@end
