//
//  Imager100.h
//  ATIKOSXDrivers
//
//  Created by Nick Kitchener on 04/11/2012.
//  Copyright (c) 2012 ATIK. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ServiceInterface.h"
#import "ImageFrame.h"
#import "Cooling100.h"

@protocol ImagerProperties100 <NSObject>

-(uint32_t)xPixels;
-(uint32_t)yPixels;

-(uint32_t)maxBinX;
-(uint32_t)maxBinY;

-(BOOL)isBinningSupported;
-(BOOL)isSubframingSupported;
-(BOOL)isPreviewSupported;

@end

@protocol Imager100 <NSObject, ServiceInterface, ImagerProperties100>

-(void)prepare:(ImageFrame*)image;
-(void)postProcess:(ImageFrame*)image;

-(void)snapShot:(ImageFrame*)image blocking:(BOOL)shouldBlock;

-(id<Cooling100>)cooling;

@end
