//
//  ATKAppDelegate.h
//  ExampleApplication
//
//  Created by Nick Kitchener on 07/01/2013.
//  Copyright (c) 2013 ATIK. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <ATIKOSXDrivers/ATIKOSXDrivers.h>
#import <ATIKOSXLegacyDrivers/ATIKOSXLegacyDrivers.h>

@interface ATKAppDelegate : NSObject <NSApplicationDelegate> {
    ATIKOSXDrivers          *_modernDrivers;
    ATIKOSXLegacyDrivers    *_legacyDrivers;
    
    id<Imager100>           _titan;
    NSImage *image;
    IBOutlet    NSImageView *imageView;
}

@property (assign) IBOutlet NSWindow *window;
@property (assign, nonatomic) IBOutlet NSImageView *imageView;

-(void)applicationDidFinishLaunching:(NSNotification *)aNotification;
-(void)applicationWillTerminate:(NSNotification *)notification;

-(IBAction)claimCamera:(id)sender;
-(IBAction)releaseCamera:(id)sender;
-(IBAction)takeExposure:(id)sender;

@end

@interface ATKAppDelegate (ATIKOSXDriverNotificationDelegate) <ATIKOSXDriverNotificationDelegate>
@end
